# log4cplus::spi::LayoutFactory Class Reference

This abstract class defines the "Factory" interface to create "Layout" objects. More...

`#include <factory.h>`

Inheritance diagram for log4cplus::spi::LayoutFactory:

[legend]
Collaboration diagram for log4cplus::spi::LayoutFactory:

[legend]
List of all members.

## Public Member Functions

| LayoutFactory ()
virtual | ~LayoutFactory ()
virtual std::auto_ptr< Layout > | createObject (const log4cplus::helpers::Properties &props)=0
| Create a "Layout" object.
virtual log4cplus::tstring | getTypeName ()=0
| Returns the typename of the "Layout" objects this factory creates.

## Detailed Description

This abstract class defines the "Factory" interface to create "Layout" objects.

Definition at line 72 of file factory.h.

## Constructor & Destructor Documentation

log4cplus::spi::LayoutFactory::LayoutFactory | ( |  | ) | `[inline]`

| Definition at line 74 of file factory.h.

virtual log4cplus::spi::LayoutFactory::~LayoutFactory | ( |  | ) | `[inline, virtual]`

| Definition at line 75 of file factory.h.

## Member Function Documentation

virtual std::auto_ptr<Layout> log4cplus::spi::LayoutFactory::createObject | ( | const log4cplus::helpers::Properties & | props | ) | `[pure virtual]`

| Create a "Layout" object.

virtual log4cplus::tstring log4cplus::spi::LayoutFactory::getTypeName | ( |  | ) | `[pure virtual]`

| Returns the typename of the "Layout" objects this factory creates. Implements log4cplus::spi::BaseFactory.

The documentation for this class was generated from the following file:

- factory.h